#include "ClampRangeImageFilterPluginFactory.h"
#include "ClampRangeImageFilterPlugin.h"

#include <QtPlugin>

ClampRangeImageFilterPluginFactory::ClampRangeImageFilterPluginFactory()
{
}

ClampRangeImageFilterPluginFactory::~ClampRangeImageFilterPluginFactory()
{
}

ritk::FilterPlugin*
ClampRangeImageFilterPluginFactory::CreateInstance()
{
	return new ClampRangeImageFilterPlugin();
}

QString
ClampRangeImageFilterPluginFactory::GetName()
{
	return tr("ClampRangeFilter");
}

QString
ClampRangeImageFilterPluginFactory::GetDescription()
{
	return tr("Range clamping filter");
}


Q_EXPORT_PLUGIN2(ClampRangeImageFilterPlugin, ClampRangeImageFilterPluginFactory)

